﻿/*
    SSA-button.css

*/


table {
    border-collapse: collapse;
    border-spacing: 0;
}

fieldset, img {
    border: 0;
}

address, caption, cite, code, dfn, em, strong, th, var, optgroup {
    font-style: inherit;
    font-weight: inherit;
}

del, ins {
    text-decoration: none;
}

/*li {
    list-style: none;
}*/

caption, th {
    /*text-align: left;*/
}

h1, h2, h3, h4, h5, h6 {
    font-weight: normal;
}

q:before, q:after {
    content: '';
}

abbr, acronym {
    border: 0;
    font-variant: normal;
}

sup {
    vertical-align: baseline;
}

sub {
    vertical-align: baseline;
}


input, button, textarea, select, optgroup, option {
    font-family: inherit;
    font-size: inherit;
    font-style: inherit;
    font-weight: inherit;
}

input, button, textarea, select {
    *font-size: 100%;
}

/* -------------- THE button -------------- */
.button {
    min-height: 27px;
    cursor: pointer;
    /* text */
    text-decoration: none;
    font: 13.2px/1em IRANSans, Tahoma;
    font-weight: bold;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    /* layout */
    padding: 0.4em 0.8em 0.3em 0.8em;
    margin: .4em auto;
    display: inline-block;
    position: relative;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    border-radius: 2px;
    -webkit-transition: background .2s ease-in-out;
    -moz-transition: background .2s ease-in-out;
    transition: background .2s ease-in-out;
}

.button {
    border: 1px solid transparent;
}

    .button.width100 {
        width: 100%;
    }

@media(max-width:360px) {
    .button {
        display: grid;
    }
}

.button.glass > span:first-of-type {
    display: flex;
}

    .button.glass > span:first-of-type:before {
        padding-left: 3px;
    }

/* -------------- button (tag) -------------- */

button.button {
    border-left: none;
    border-right: none;
}

    button.button:hover {
        cursor: pointer;
    }


/* -------------- icon -------------- */
/*.ssa-CollectionBase-Divider .FirstLabelClass:before,
ssa-h-container .FirstLabelClass:before,
ssa-dropdown-autocomp*/ .FirstLabelClass:before {
    font: 1.2em/0 FontAwesome;
    padding-left: 7px;
    content: attr(data-icon); /* gets the icon value from the custom data attribute and puts it infront of the button label */
    padding-top: 6px;
}
/* icon only */
.icon {
    font-weight: normal;
    font-style: normal;
    text-indent: -999em;
}

    .icon:before {
        margin-right: 0;
        display: block;
        height: 0;
        text-indent: 0px;
    }



/* -------------- colors -------------- */



.button.pink:hover {
}





.button.transparent, .button.transparent:hover, .button.transparent:active {
    background-image: none;
}

    .button.transparent:hover {
        opacity: .9;
    }



/* -------------- States -------------- */


.button:focus {
    outline: none;
}

.button[disabled], .button[disabled]:hover, .button.disabled, .button.disabled:hover {
    opacity: .5;
    cursor: default;
    border-top: none;
    -webkit-transform: translateY(5px);
    -moz-transform: translateY(5px);
    transform: translateY(5px);
}

/* -------------- Fonts -------------- */

.serif {
    font-family: 'Lobster', serif;
    font-weight: normal;
}


/* -------------- Sizes -------------- */

.xs {
    font-size: 16px;
}

.xl {
    font-size: 32px;
}


/* -------------- Materials -------------- */

.button.glossy:after, .button.glass:after {
    content: "";
    position: absolute;
    width: 90%;
    height: 60%;
    top: 0;
    left: 5%;
    -webkit-border-radius: .5em .5em 1em 1em / .5em .5em 2em 2em;
    -moz-border-radius: .5em .5em 1em 1em / .5em .5em 2em 2em;
    border-radius: .5em .5em 1em 1em / .5em .5em 2em 2em;
}

.button.glossy:active:after,
.button.glass:active:after,
.button.disabled:after,
.button[disabled]:after {
    opacity: .6;
}

.button.icon.glossy:after,
.button.icon.glass:after {
    height: 75%;
}


/* -------------- Shapes -------------- */

/* round */
.rounded, .rounded.glossy:after, .rounded.glass:after {
    border-top: none;
    -webkit-border-radius: 1em;
    -moz-border-radius: 1em;
    border-radius: 1em;
}

/* oval */
.oval {
    border-top: none;
    padding-left: .8em;
    padding-right: .8em;
    -webkit-border-radius: 5em / 2em;
    -moz-border-radius: 5em / 2em;
    border-radius: 5em / 2em;
}

    .oval.glossy:after, .oval.glass:after {
        top: 5%;
        -webkit-border-radius: 5em / 2em 2em 1em 1em;
        -moz-border-radius: 5em / 2em 2em 1em 1em;
        border-radius: 5em / 2em 2em 1em 1em;
    }

    .oval.icon {
        padding-left: .8em;
        padding-right: .8em;
        -webkit-border-radius: 1.5em / 1em;
        -moz-border-radius: 1.5em / 1em;
        border-radius: 1.5em / 1em;
    }

        .oval.icon.glossy:after, .oval.icon.glass:after {
            -webkit-border-radius: 1.5em / 1em;
            -moz-border-radius: 1.5em / 1em;
            border-radius: 1.5em / 1em;
        }

/* brackets */
.brackets, .brackets.glossy:after, .brackets.glass:after {
    border-top: none;
    -webkit-border-radius: .5em / 1em;
    -moz-border-radius: .5em / 1em;
    border-radius: .5em / 1em;
}

/* skew */
.skew {
    border-top: none;
    padding-right: 1.2em;
    padding-left: 0.8em;
    -webkit-border-radius: 5em 1em / 5em 1em;
    -moz-border-radius: 5em 1em / 5em 1em;
    border-radius: 5em 1em / 5em 1em;
}

    .skew.glossy:after, .skew.glass:after {
        left: 10%;
        -webkit-border-radius: 7em 1em / 5em 1em;
        -moz-border-radius: 7em 1em / 5em 1em;
        border-radius: 7em 1em / 5em 1em;
    }

    .skew.icon {
        padding-right: .9em;
        padding-left: .8em;
    }

/* back */
.back, .back.glossy:after, .back.glass:after {
    -webkit-border-radius: 1.6em 1.6em 1em 1em / 4em 4em 1em 1em;
    -moz-border-radius: 1.6em 1.6em 1em 1em / 4em 4em 1em 1em;
    border-radius: 1.6em 1.6em 1em 1em / 4em 4em 1em 1em;
}

    .back.glossy:after, .back.glass:after {
        left: 6%;
        width: 88%;
    }

/* knife */
.knife {
    padding-left: 1.5em;
    -webkit-border-radius: .2em .5em .5em 8em / .2em .5em .5em 5em;
    -moz-border-radius: .2em .5em .5em 8em / .2em .5em .5em 5em;
    border-radius: .2em .5em .5em 8em / .2em .5em .5em 5em;
}

    .knife.glossy:after, .knife.glass:after {
        left: 3%;
        width: 97%;
        -webkit-border-radius: .1em .5em .5em 8em / .1em .5em .5em 2em;
        -moz-border-radius: .1em .5em .5em 8em / .1em .5em .5em 2em;
        border-radius: .1em .5em .5em 8em / .1em .5em .5em 2em;
    }

    .knife.glossy.icon:after, .knife.glass.icon:after {
        left: 5%;
        width: 95%;
        -webkit-border-radius: .5em .5em 1em 6em / .5em .5em 1em 4em;
        -moz-border-radius: .5em .5em 1em 6em / .5em .5em 1em 4em;
        border-radius: .5em .5em 1em 6em / .5em .5em 1em 4em;
    }

/* shield */
.shield, .shield.glossy:after, .shield.glass:after {
    -webkit-border-radius: .4em .4em 2em 2em / .4em .4em 3em 3em;
    -moz-border-radius: .4em .4em 2em 2em / .4em .4em 3em 3em;
    border-radius: .4em .4em 2em 2em / .4em .4em 3em 3em;
}

.shield {
    padding-left: .8em;
    padding-right: .8em;
}

    .shield.icon {
        padding-left: .6em;
        padding-right: .6em;
    }

/* drop */
.drop {
    border-top: none;
    -webkit-border-radius: 2em 5em 2em .6em / 2em 4em 2em .6em;
    -moz-border-radius: 2em 5em 2em .6em / 2em 4em 2em .6em;
    border-radius: 2em 5em 2em .6em / 2em 4em 2em .6em;
}

    .drop.glossy:after, .drop.glass:after {
        left: 4%;
        -webkit-border-radius: 2em 6em 2em 1em / 2em 4em 2em 2em;
        -moz-border-radius: 2em 6em 2em 1em / 2em 4em 2em 2em;
        border-radius: 2em 6em 2em 1em / 2em 4em 2em 2em;
    }

    .drop.icon {
        padding-right: .6em;
    }

.morph {
    border-top: none;
    -webkit-border-radius: 5em / 2em;
    -moz-border-radius: 5em / 2em;
    border-radius: 5em / 2em;
    -webkit-transition: -webkit-border-radius .3s ease-in-out;
    -moz-transition: -moz-border-radius .3s ease-in-out;
    transition: -moz-border-radius .3s ease-in-out;
}

    .morph:hover {
        -webkit-border-radius: .4em .4em 2em 2em / .4em .4em 3em 3em;
        -moz-border-radius: .4em .4em 2em 2em / .4em .4em 3em 3em;
        border-radius: .4em .4em 2em 2em / .4em .4em 3em 3em;
    }

    .morph:active {
        -webkit-border-radius: .3em;
        -moz-border-radius: .3em;
        border-radius: .3em;
    }

    .morph:after {
        display: none;
    }

@-moz-document url-prefix() {
    .button {
        text-align: center;
    }

    .icon {
        padding: .5em 1em;
    }

        .icon:before {
            margin-left: -.42em;
            float: left;
        }

    .drop.icon {
        padding-right: 1.1em;
    }

    .shield.icon {
        padding-left: 1.1em;
        padding-right: 1.1em;
    }

    .skew.icon {
        padding-right: 1.4em;
        padding-left: 1.3em;
    }

    .oval.icon {
        padding-left: 1.3em;
        padding-right: 1.3em;
    }

    .knife {
        padding-left: 2em;
    }
}




/* toggle button */
.switch {
    position: relative;
    display: inline-block;
    width: 42px;
    height: 22px;
    top: 1px;
}

    .switch input {
        opacity: 0;
        width: 0;
        height: 0;
    }

    .switch label {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: #ccc;
        -webkit-transition: all linear .3s;
        transition: all linear .3s;
        margin-bottom: 0;
    }

        .switch label:before {
            position: absolute;
            content: "";
            height: 17px;
            width: 17px;
            left: 3px;
            bottom: 3px;
            background-color: white;
            -webkit-transition: all linear .3s;
            transition: all linear .3s;
        }

    .switch input:checked + label {
        background-color: #55aaff;
    }

    .switch input:focus + label {
        box-shadow: 0 0 1px #2196F3;
    }

    .switch input:checked + label:before {
        -webkit-transform: translateX(19px);
        -ms-transform: translateX(19px);
        transform: translateX(19px);
    }

    .switch.round > label {
        border-radius: 32px;
    }

        .switch.round > label:before {
            border-radius: 50%;
        }
